
ChiliProject - Bug # 1159: Calendar first day of the week does not respect application settings

Status: Needs more information Priority: Normal
Author: Tom Rochette Category:
Created: 2012-10-02 Assignee:
Updated: 2012-12-10 Due date:
Remote issue URL:
Affected version: 3.3.0
Description: The HTML5 calendar of Chrome 22 doesn't start with the day listed in the application settings. So if I set it to 

start on Sunday for instance, the calendar still shows up as starting on Monday.

Repro:
# Set calendar to start on Sunday
# Create a new issue and pick a start/due date, notice that the calendar week doesn't start with Sunday

Expected:
# Calendar starts week on Sunday

History
2012-12-09 04:07 pm - Felix Schäfer
- Status changed from Open to Needs more information

It seems the "date input type":http://dev.w3.org/html5/spec/single-page.html#date-state-(type=date) used for this doesn't allow to set a start-of-week 
day, so I guess the browser shows the calendar wrt the language you are using the browser in. If this is not the case for Chrome I'd say it's a bug on 
their side.

Andrew, what do you think?

2012-12-09 11:42 pm - Toshi MARUYAMA
- Status changed from Needs more information to Open

See:
http://www.redmine.org/issues/11814

2012-12-10 02:08 pm - Felix Schäfer
- Status changed from Open to Needs more information

Toshi: see source:/app/helpers/application_helper.rb#L920 and source:/public/javascripts/application.js#L662.
